Package com.sun.mail.imap.protocol

# Class ListInfo

java.lang.Object
com.sun.mail.imap.protocol.ListInfo

public class ListInfo extends Object
A LIST response.

Author:
  John Mani, Bill Shannon

## Field Summary

Fields
Modifier and Type
Field
Description
`String[]`
`attrs`
`boolean`
`canOpen`
`static final int`
`CHANGED`
`int`
`changeState`
`boolean`
`hasInferiors`
`static final int`
`INDETERMINATE`
`String`
`name`
`char`
`separator`
`static final int`
`UNCHANGED`

## Constructor Summary

Constructors
Constructor
Description
`ListInfo(IMAPResponse r)`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### name

public String name

### separator

public char separator

### hasInferiors

public boolean hasInferiors

### canOpen

public boolean canOpen

### changeState

public int changeState

### attrs

public String[] attrs

### CHANGED

public static final int CHANGED

See Also:
  - Constant Field Values

### UNCHANGED

public static final int UNCHANGED

See Also:
  - Constant Field Values

### INDETERMINATE

public static final int INDETERMINATE

See Also:
  - Constant Field Values

## Constructor Details

### ListInfo

public ListInfo(IMAPResponse r) throws ParsingException

Throws:
  `ParsingException`